Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.enc
Class XEReference

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.dsig.ObjectReference
oracle.security.xmlsec.enc.XEReference`

Direct Known Subclasses:
  XEDataReference, XEKeyReference

public abstract class XEReference
extends ObjectReference

An XML Encryption ReferenceType element.

See Also:
  `XEKeyReference`, `XEDataReference`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`protected` | `XEReference(org.w3c.dom.Document doc, java.lang.String tagName)` Create a `XEReference` instance from the given owner XML document and the tag name for the element.
`protected` | `XEReference(org.w3c.dom.Document doc, java.lang.String tagName, java.lang.String uri)` Create a `XEReference` instance from the given owner XML document, the tag name for the element and the URI attribute.
`protected` | `XEReference(org.w3c.dom.Element element)` Create a `XEReference` instance from the given XML Element.
`protected` | `XEReference(org.w3c.dom.Element element, java.lang.String systemId)` Create a `XEReference` instance from the given XML Element.

Method Summary
`XEEncryptedObject` | `getEncryptedObject()` Dereference this `XEReference` struture and obtain the EncryptedType element referenced.

Methods inherited from class oracle.security.xmlsec.dsig.ObjectReference
`addTransform, dereference, getTransforms, getURI, setURI`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XEReference

    protected XEReference(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Create a `XEReference` instance from the given XML Element.
Parameters:
  `element` - A ReferenceType element.

### XEReference

    protected XEReference(org.w3c.dom.Element element,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Create a `XEReference` instance from the given XML Element.
Parameters:
  `element` - A ReferenceType element.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

### XEReference

    protected XEReference(org.w3c.dom.Document doc,
                          java.lang.String tagName)
                   throws org.w3c.dom.DOMException

  Create a `XEReference` instance from the given owner XML document and the tag name for the element.
Parameters:
  `doc` - An XML Document to be used as the owner document of this element.
  `tagName` - The tag name for this XML Element.

### XEReference

    protected XEReference(org.w3c.dom.Document doc,
                          java.lang.String tagName,
                          java.lang.String uri)
                   throws org.w3c.dom.DOMException

  Create a `XEReference` instance from the given owner XML document, the tag name for the element and the URI attribute.
Parameters:
  `doc` - An XML Document to be used as the doc document of this element.
  `tagName` - The tag name for this XML Element.
  `uri` - The URI identifying an EncryptedData or EncryptedKey element.

Method Detail

### getEncryptedObject

    public XEEncryptedObject getEncryptedObject()
                                         throws ReferenceException

  Dereference this `XEReference` struture and obtain the EncryptedType element referenced.
  Returns:
    An instance of `XEEncryptedObject`.
  Throws:
    `ReferenceException`
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.